> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message Logs

> Fetch all message logs for the authenticated user.



## OpenAPI

````yaml /openapi.json get /v1/message/logs
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/message/logs:
    get:
      tags:
        - Karibu-Messages
      summary: Get Message Logs
      description: Fetch all message logs for the authenticated user.
      operationId: get_message_logs_v1_message_logs_get
      parameters:
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageLogsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MessageLogsResponse:
      properties:
        user_id:
          type: string
          title: User Id
        logs:
          items:
            $ref: '#/components/schemas/MessageLogResponse'
          type: array
          title: Logs
      type: object
      required:
        - user_id
        - logs
      title: MessageLogsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MessageLogResponse:
      properties:
        log_id:
          type: string
          title: Log Id
        message_id:
          type: string
          title: Message Id
        status:
          $ref: '#/components/schemas/MessageStatusEnum'
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        error_details:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Details
        response_group_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Group Id
        response_group_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Group Name
        response_id:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          title: Response Id
        response_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Name
        response_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Description
        campaign_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Campaign Id
        campaign_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Campaign Name
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        recipient:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipient
      type: object
      required:
        - log_id
        - message_id
        - status
        - timestamp
      title: MessageLogResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MessageStatusEnum:
      type: string
      enum:
        - pending
        - sent
        - failed
        - delivered
        - read
        - queued
      title: MessageStatusEnum
      description: Message Status.

````